import { CommonProps } from '@/common/mixin/props';
import { TreeView, TreeImg } from './hive-tree-view-type';
export type ICheckedNodes = {
    key: string;
    value: TreeView;
};
export interface Props extends CommonProps {
    nodes: TreeView[];
    show?: boolean;
    withCheckboxes?: boolean;
    checkedAll?: boolean;
    imgArray?: TreeImg[];
    allClosed?: boolean;
    checkedOption?: 'parent-checked' | 'parent-checked-minus' | 'parent-not-checked';
}
declare const _default: __VLS_WithTemplateSlots<import("vue").DefineComponent<__VLS_WithDefaults<__VLS_TypePropsToRuntimeProps<Props>, {
    show: boolean;
    withCheckboxes: boolean;
    checkedAll: boolean;
    allClosed: boolean;
    checkedOption: string;
}>, {}, unknown, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {
    mount: () => void;
    unmount: () => void;
    dragStart: (value: TreeView) => void;
    dragEnd: (value: TreeView) => void;
    nodeChoose: (value: TreeView) => void;
    nodeCheck: (value: TreeView, check: boolean) => void;
    nodeMounted: (value: TreeView) => void;
    updateCheckedNodes: (value: Map<string | number, TreeView>) => void;
}, string, import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps, Readonly<import("vue").ExtractPropTypes<__VLS_WithDefaults<__VLS_TypePropsToRuntimeProps<Props>, {
    show: boolean;
    withCheckboxes: boolean;
    checkedAll: boolean;
    allClosed: boolean;
    checkedOption: string;
}>>> & {
    onMount?: (() => any) | undefined;
    onUnmount?: (() => any) | undefined;
    onDragStart?: ((value: TreeView) => any) | undefined;
    onDragEnd?: ((value: TreeView) => any) | undefined;
    onNodeChoose?: ((value: TreeView) => any) | undefined;
    onNodeCheck?: ((value: TreeView, check: boolean) => any) | undefined;
    onNodeMounted?: ((value: TreeView) => any) | undefined;
    onUpdateCheckedNodes?: ((value: Map<string | number, TreeView>) => any) | undefined;
}, {
    show: boolean;
    checkedAll: boolean;
    allClosed: boolean;
    checkedOption: "parent-checked" | "parent-checked-minus" | "parent-not-checked";
    withCheckboxes: boolean;
}, {}>, {
    main?(_: {
        choose: () => void;
        img: string | import("./hive-tree-view-type").TreeViewImg | undefined;
        defaultImage: string | undefined;
        node: TreeView;
    }): any;
    after?(_: {
        node: TreeView;
    }): any;
}>;
export default _default;
type __VLS_NonUndefinedable<T> = T extends undefined ? never : T;
type __VLS_TypePropsToRuntimeProps<T> = {
    [K in keyof T]-?: {} extends Pick<T, K> ? {
        type: import('vue').PropType<__VLS_NonUndefinedable<T[K]>>;
    } : {
        type: import('vue').PropType<T[K]>;
        required: true;
    };
};
type __VLS_WithDefaults<P, D> = {
    [K in keyof Pick<P, keyof P>]: K extends keyof D ? __VLS_Prettify<P[K] & {
        default: D[K];
    }> : P[K];
};
type __VLS_Prettify<T> = {
    [K in keyof T]: T[K];
} & {};
type __VLS_WithTemplateSlots<T, S> = T & {
    new (): {
        $slots: S;
    };
};
